# All files / src compiler.js

100% Statements 2/2
100% Branches 0/0
100% Functions 1/1
100% Lines 2/2

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13

    185x
    184x

     // @flow

    import parse from './parsers/parser'
    import Generator from './generators/generator'
    import type { SourceCodeType, GeneratedCodeType } from './types'

    export default (input: SourceCodeType): GeneratedCodeType => {
      const { value } = parse(input)
      return `(function(_) { return (function(input) { return ${Generator(
        value
      )}})})`
    }